package com.jsh.erp.datasource.pda.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class PDADepotHeadVO {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("单据编号")
    private String number;

    @ApiModelProperty("供应商名称")
    private String supplierName;

    @ApiModelProperty("订单创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty("单据时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date operTime;

    @ApiModelProperty("商品总数量")
    private int goodsQuantity;

    @ApiModelProperty("商品总类")
    private String goodsTypeCount;

    @ApiModelProperty("订单状态")
    private String status;

}
